﻿using LawFirmDataModels.Enums;
using LawFirmDataModels.Models;
using System.ComponentModel;

namespace LawFirmContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        public int DocumentId { get; set; }
        [DisplayName("Документ")]
        public string DocumentName { get; set; } = string.Empty;
        [DisplayName("Количество")]
        public int Count { get; set; }
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.SpecifyKind(DateTime.Now, DateTimeKind.Utc);
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}
